<?php
/**
 * The template for displaying comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) { 
	return;
}
?> 

<div id="comments" class="comments-area clearfix">

	<?php // You can start editing here -- including this comment! ?>

	<?php if ( have_comments() ) : ?>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-above" class="comment-navigation" role="navigation">
			<h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'ot-apollo' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'ot-apollo' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'ot-apollo' ) ); ?></div>
		</nav><!-- #comment-nav-above -->
		<?php endif; // check for comment navigation ?>

		<ol class="comment-list">
    		<h3 class="comments-title">
			<?php
				printf( _nx( 'One Comment', '%1$s Comments', get_comments_number(), 'comments title', 'ot-apollo' ),
					number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
			?>
		</h3>
			<?php wp_list_comments( "callback=ot_apollo_comments" ); ?>
		</ol><!-- .comment-list -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below" class="comment-navigation" role="navigation">
			<h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'ot-apollo' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'ot-apollo' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'ot-apollo' ) ); ?></div>
		</nav><!-- #comment-nav-below -->
		<?php endif; // check for comment navigation ?>

	<?php endif; // have_comments() ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'ot-apollo' ); ?></p>
	<?php endif; ?>

	<?php $comments_args = array(
	    // change the title of send button 
	    'label_submit'=>'Submit Comment',
	    // remove "Text or HTML to be displayed after the set of comment fields"
	    'comment_notes_after' => '',
	    // redefine your own textarea (the comment body)
	    'comment_field' => '<p class="comment-form-comment"><textarea id="comment" name="comment" placeholder="Type your comment here..." aria-required="true"></textarea></p>',
	    'fields' => apply_filters( 'comment_form_default_fields', array(

			'author' =>
			  '<p class="comment-form-author"><input id="author" name="author" type="text" placeholder="Your Name'. ( $req ? '*' : '' ) .
			  '
			  " value="' . esc_attr( $commenter['comment_author'] ) .
			  '" size="30" aria-required="true" /></p>',

			'email' =>
			  '<p class="comment-form-email"><input id="email" name="email" type="text" placeholder="Email Address'.( $req ? '*' : '' ) .
			  '
			  " value="' . esc_attr(  $commenter['comment_author_email'] ) .
			  '" size="30" aria-required="true" /></p>',

			'url' =>
			  '<p class="comment-form-url">' .
			  '<input id="url" name="url" type="text" placeholder="Website URL" value="' . esc_attr( $commenter['comment_author_url'] ) .
			  '" size="30" /></p>'
			)
		),
	); ?>

<?php comment_form($comments_args); ?>

</div><!-- #comments -->