<?php

/**
 * Plugin Name: WordPress Settings API
 * Plugin URI: http://tareq.wedevs.com/2012/06/wordpress-settings-api-php-class/
 * Description: WordPress Settings API testing
 * Author: Tareq Hasan
 * Author URI: http://tareq.weDevs.com
 * Version: 0.1
 */
require_once dirname( __FILE__ ) . '/class.settings-api.php';


if ( !class_exists('Olympus_Toolkit_Settings' ) ):
class Olympus_Toolkit_Settings {

    private $settings_api;

    function __construct() {
        $this->settings_api = new Olympus_Toolkit_Settings_API;

        add_action( 'admin_init', array($this, 'admin_init') );
        add_action( 'admin_menu', array($this, 'admin_menu') );
    }

    function admin_init() {

        //set the settings
        $this->settings_api->set_sections( $this->get_settings_sections() );
        $this->settings_api->set_fields( $this->get_settings_fields() );

        //initialize settings
        $this->settings_api->admin_init();
    }

    function admin_menu() {
        add_options_page( 'Olympus Toolkit', 'Olympus Toolkit', 'delete_posts', 'olympus_toolkit', array($this, 'plugin_page') );
    }

    function get_settings_sections() {
        $sections = array(
            array(
                'id' => 'olympus_social',
                'title' => __( 'Social Settings', 'olympus-toolkit' )
            ),
            array(
                'id' => 'olympus_newsletter',
                'title' => __( 'Newsletter Settings', 'olympus-toolkit' )
            ),
            array(
                'id' => 'olympus_twitter',
                'title' => __( 'Twitter Settings', 'olympus-toolkit' )
            )
        );
        return $sections;
    }

    /**
     * Returns all the settings fields
     *
     * @return array settings fields
     */
    function get_settings_fields() {
        $settings_fields = array(
            	/* section id (required) */
	'olympus_social' => array(

		array(
			'name'      => '500px', // required
			'type'    => 'text', // required
			'label'   => __( '500px URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'apple', // required
			'type'    => 'text', // required
			'label'   => __( 'Apple URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'behance', // required
			'type'    => 'text', // required
			'label'   => __( 'Behance URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'blogger', // required
			'type'    => 'text', // required
			'label'   => __( 'Bogger URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'buffer', // required
			'type'    => 'text', // required
			'label'   => __( 'Buffer URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'dailymotion', // required
			'type'    => 'text', // required
			'label'   => __( 'Daily Motion URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'delicious', // required
			'type'    => 'text', // required
			'label'   => __( 'Delicious URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'deviantart', // required
			'type'    => 'text', // required
			'label'   => __( 'DeviantArt URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'digg', // required
			'type'    => 'text', // required
			'label'   => __( 'Digg URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'disqus', // required
			'type'    => 'text', // required
			'label'   => __( 'Disqus URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'dribbble', // required
			'type'    => 'text', // required
			'label'   => __( 'Dribbble URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'envato', // required
			'type'    => 'text', // required
			'label'   => __( 'Envato URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'facebook', // required
			'type'    => 'text', // required
			'label'   => __( 'Facebook URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),		
		
		array(
			'name'      => 'feedburner', // required
			'type'    => 'text', // required
			'label'   => __( 'Feedburner URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'flattr', // required
			'type'    => 'text', // required
			'label'   => __( 'Flattr URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'flickr', // required
			'type'    => 'text', // required
			'label'   => __( 'Flickr URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),		
		
		array(
			'name'      => 'forrst', // required
			'type'    => 'text', // required
			'label'   => __( 'Forrst URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'github', // required
			'type'    => 'text', // required
			'label'   => __( 'Github URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'google', // required
			'type'    => 'text', // required
			'label'   => __( 'Google+ URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'instagram', // required
			'type'    => 'text', // required
			'label'   => __( 'Instagram URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'linkedin', // required
			'type'    => 'text', // required
			'label'   => __( 'LinkedIn URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'pinterest', // required
			'type'    => 'text', // required
			'label'   => __( 'Pinterest URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'reddit', // required
			'type'    => 'text', // required
			'label'   => __( 'Reddit URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'rss', // required
			'type'    => 'text', // required
			'label'   => __( 'RSS URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'soundcloud', // required
			'type'    => 'text', // required
			'label'   => __( 'Soundcloud URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'spotify', // required
			'type'    => 'text', // required
			'label'   => __( 'Spotify URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'stumbleupon', // required
			'type'    => 'text', // required
			'label'   => __( 'StumbleUpon URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'tumblr', // required
			'type'    => 'text', // required
			'label'   => __( 'Tumblr URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'twitter', // required
			'type'    => 'text', // required
			'label'   => __( 'Twitter URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'vimeo', // required
			'type'    => 'text', // required
			'label'   => __( 'Vimeo URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'wordpress', // required
			'type'    => 'text', // required
			'label'   => __( 'WordPress URL', 'olympus-toolkit' ),
			'default' => 'http://'
		),

		array(
			'name'      => 'youtube', // required
			'type'    => 'text', // required
			'label'   => __( 'YouTube URL', 'olympus-toolkit' ),
			'default' => 'http://'
		)

	), // end of section
			
	'olympus_newsletter' => array(
		array(
			'name'      => 'mailchimp_api_key', // required
			'type'    => 'text', // required
			'label'   => __( 'MailChimp API Key', 'olympus-toolkit' ),
			'default' => '',
			'desc' => __( '<a href="http://olympusthemes.com/blog/how-do-i-find-my-mailchimp-api-key/">Where do I find this?</a>', 'olympus-toolkit' ),

		)
	), // end of section

	'olympus_twitter' => array(
		array(
			'name'      => 'consumer_key', // required
			'type'    => 'text', // required
			'label'   => __( 'Consumer Key', 'olympus-toolkit' ),
			'default' => '',
			'desc' => __( '<a href="http://olympusthemes.com/blog/how-do-i-find-my-twitter-api-keys/">Where do I find this?</a>', 'olympus-toolkit' ),
		),
		array(
			'name'      => 'consumer_secret', // required
			'type'    => 'text', // required
			'label'   => __( 'Consumer Secret', 'olympus-toolkit' ),
			'default' => ''
		),
		array(
			'name'      => 'access_token', // required
			'type'    => 'text', // required
			'label'   => __( 'Consumer Access Token', 'olympus-toolkit' ),
			'default' => ''
		),	
		array(
			'name'      => 'access_token_secret', // required
			'type'    => 'text', // required
			'label'   => __( 'Access Token Secret', 'olympus-toolkit' ),
			'default' => ''
		),			
	)
     );

        return $settings_fields;
    }

    function plugin_page() {
        echo '<div class="wrap">';

        $this->settings_api->show_navigation();
        $this->settings_api->show_forms();

        echo '</div>';
    }

    /**
     * Get all the pages
     *
     * @return array page names with key value pairs
     */
    function get_pages() {
        $pages = get_pages();
        $pages_options = array();
        if ( $pages ) {
            foreach ($pages as $page) {
                $pages_options[$page->ID] = $page->post_title;
            }
        }

        return $pages_options;
    }

}
endif;

$settings = new Olympus_Toolkit_Settings();