(function() {
	tinymce.PluginManager.add( 'olympus_shortcodes_mce_button', function( editor, url ) {
		editor.addButton( 'olympus_shortcodes_mce_button', {
			title: 'Olympus Shortcodes',
			type: 'menubutton',
			icon: 'icon olympus-shortcodes-icon',
			menu: [


				/** Layout **/
				{
					text: 'Layout',
					menu: [

						/* Columns */
						{
							text: 'Columns',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Olympus Shortcodes - Insert Column',
									body: [

									// Column Size
									{
										type: 'listbox',
										name: 'columnSize',
										label: 'Size',
										'values': [
											{text: '1/2', value: 'one-half'},
											{text: '1/3', value: 'one-third'},
											{text: '2/3', value: 'two-third'},
											{text: '1/4', value: 'one-fourth'},
											{text: '3/4', value: 'three-fourth'},
											{text: '1/5', value: 'one-fifth'},
											{text: '2/5', value: 'two-fifth'},
											{text: '3/5', value: 'three-fifth'},
											{text: '4/5', value: 'four-fifth'},
											{text: '1/6', value: 'one-sixth'},
											{text: '5/6', value: 'five-sixth'}
										]
									},

									// Column Position
									{
										type: 'listbox',
										name: 'columnPosition',
										label: 'Position',
										'values': [
											{text: 'First', value: 'first'},
											{text: 'Middle', value: 'middle'},
											{text: 'Last', value: 'last'}
										]
									},

									// Column Content
									{
										type: 'textbox',
										name: 'columnContent',
										label: 'Starting Content',
										value: 'Columns are great for dividing your content. Our shortcodes make it super easy.',
										multiline: true,
										minWidth: 300,
										minHeight: 100
									} ],
									onsubmit: function( e ) {
										editor.insertContent( '[olympus_column size="' + e.data.columnSize + '" position="' + e.data.columnPosition + '"]<br />' + e.data.columnContent + '<br />[/olympus_column]');
									}
								});
							}
						}, // End columns

						/* Spacing */
						{
							text: 'Spacing',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Olympus Shortcodes - Insert Spacing',
									body: [ {
										type: 'textbox', 
										name: 'spacingSize', 
										label: 'Height In Pixels',
										value: '30'
									} ],
									onsubmit: function( e ) {
										editor.insertContent( '[olympus_spacing size="' + e.data.spacingSize + '"]');
									}
								});
							}
						}, // End spacing

						/* Dividers */
						{
							text: 'Dividers',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Olympus Shortcodes - Insert Divider',
									body: [

									// Divider Style
									{
										type: 'listbox',
										name: 'dividerStyle',
										label: 'Size',
										'values': [
											{text: 'Solid', value: 'solid'},
											{text: 'Dashed', value: 'dashed'},
											{text: 'Double', value: 'double'}
										]
									},

									// Divider Top Margin
									{
										type: 'textbox', 
										name: 'dividerTopMargin', 
										label: 'Top Margin In Pixels',
										value: '20'
									},

									// Divider Bottom Margin
									{
										type: 'textbox', 
										name: 'dividerBottomMargin', 
										label: 'Bottom Margin In Pixels',
										value: '20'
									} ],
									onsubmit: function( e ) {
										editor.insertContent( '[olympus_divider style="' + e.data.dividerStyle + '" margin_top="' + e.data.dividerTopMargin + '" margin_bottom="' + e.data.dividerBottomMargin + '"]');
									}
								});
							}
						} // End divider

					]
				}, // End Layout Section


				/** Elements **/
				{
					text: 'Elements',
					menu: [

						/* Buttons */
						{
							text: 'Button',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Olympus Shortcodes - Insert Button',
									body: [

									// Button Text
									{
										type: 'textbox',
										name: 'buttonText',
										label: 'Button: Text',
										value: 'Download'
									},

									// Button URL
									{
										type: 'textbox',
										name: 'buttonUrl',
										label: 'Button: URL',
										value: 'http://olympusthemes.com/'
									},

									// Button Border Radius
									{
										type: 'textbox',
										name: 'buttonBorderRadius',
										label: 'Button: Border Radius',
										value: '3px'
									},

									// Button Color
									{
										type: 'listbox',
										name: 'buttonColor',
										label: 'Button: Color',
										'values': [
											{text: 'Black', value: 'black'},
											{text: 'Blue', value: 'blue'},
											{text: 'Brown', value: 'brown'},
											{text: 'Grey', value: 'grey'},
											{text: 'Green', value: 'green'},
											{text: 'Gold', value: 'gold'},
											{text: 'Orange', value: 'orange'},
											{text: 'Pink', value: 'pink'},
											{text: 'Red', value: 'red'},
											{text: 'Rosy', value: 'rosy'},
											{text: 'Teal', value: 'teal'}
										]
									},

									// Button Size
									{
										type: 'listbox',
										name: 'buttonSize',
										label: 'Button: Size',
										'values': [
											{text: 'Default', value: 'default'},
											{text: 'Small', value: 'small'},
											{text: 'Medium', value: 'medium'},
											{text: 'Large', value: 'large'}
										]
									},

									// Button Link Target
									{
										type: 'listbox',
										name: 'buttonLinkTarget',
										label: 'Button: Link Target',
										'values': [
											{text: 'Self', value: 'self'},
											{text: 'Blank', value: 'blank'}
										]
									},

									 ],
									onsubmit: function( e ) {
										editor.insertContent( '[olympus_button url="' + e.data.buttonUrl + '" color="' + e.data.buttonColor + '" size="' + e.data.buttonSize + '" border_radius="' + e.data.buttonBorderRadius + '" target="' + e.data.buttonLinkTarget + '"]' + e.data.buttonText + '[/olympus_button]');
									}
								});
							}
						}, // End button

						
						/* Heading */
						{
							text: 'Heading',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Olympus Shortcodes - Insert Heading',
									body: [

									// Heading Title
									{
										type: 'textbox',
										name: 'headingTitle',
										label: 'Title',
										value: 'This is a heading'
									},

									// Heading Font Size
									{
										type: 'textbox',
										name: 'headingFontSize',
										label: 'Font Size',
										value: ''
									},

									// Heading Color
									{
										type: 'textbox',
										name: 'headingColor',
										label: 'Heading Hex Color',
										value: ''
									},

									// Heading Top Margin
									{
										type: 'textbox',
										name: 'headingMarginTop',
										label: 'Top Margin',
										value: '30'
									},

									// Heading Bottom Margin
									{
										type: 'textbox',
										name: 'headingMarginBottom',
										label: 'Bottom Margin',
										value: '30'
									},

									// Heading Type
									{
										type: 'listbox',
										name: 'headingType',
										label: 'Type',
										'values': [
											{text: 'h1', value: 'h1'},
											{text: 'h2', value: 'h2'},
											{text: 'h3', value: 'h3'},
											{text: 'h4', value: 'h4'},
											{text: 'h5', value: 'h5'},
											{text: 'span', value: 'span'},
											{text: 'div', value: 'div'}
										]
									},

									// Heading Style
									{
										type: 'listbox',
										name: 'headingStyle',
										label: 'Style',
										'values': [
											{text: 'Solid Bottom Border', value: ''},
											{text: 'Double Line', value: 'double-line'},
											{text: 'Dashed Line', value: 'dashed-line'},
											{text: 'Dotted Line', value: 'dotted-line'}
										]
									},

									// Heading Text Align
									{
										type: 'listbox',
										name: 'headingTextAlign',
										label: 'Text Align',
										'values': [
											{text: 'Left', value: 'left'},
											{text: 'Center', value: 'center'},
											{text: 'Right', value: 'right'}
										]
									},
									 ],
									onsubmit: function( e ) {
										editor.insertContent( '[olympus_heading style="' + e.data.headingStyle + '" title="' + e.data.headingTitle + '" type="' + e.data.headingType + '" font_size="' + e.data.headingFontSize + '" text_align="' + e.data.headingTextAlign + '" margin_top="' + e.data.headingMarginTop + '" margin_bottom="' + e.data.headingMarginBottom + '" color="' + e.data.buttonText + '"]' );
									}
								});
							}
						}, // End heading


						/* Boxes */
						{
							text: 'Notification Boxes',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Olympus Shortcodes - Insert Box',
									body: [

									// Box Color
									{
										type: 'listbox',
										name: 'boxColor',
										label: 'Size',
										'values': [
											{text: 'Black', value: 'black'},
											{text: 'Blue', value: 'blue'},
											{text: 'Green', value: 'green'},
											{text: 'Gray', value: 'gray'},
											{text: 'Red', value: 'red'},
											{text: 'Yellow', value: 'yellow'}
										]
									},

									// Box Float
									{
										type: 'listbox',
										name: 'boxFloat',
										label: 'Float',
										'values': [
											{text: 'Center', value: 'center'},
											{text: 'Left', value: 'left'},
											{text: 'Right', value: 'right'}
										]
									},

									// Box Textalign
									{
										type: 'listbox',
										name: 'boxTextAlign',
										label: 'Text Align',
										'values': [
											{text: 'Left', value: 'left'},
											{text: 'Right', value: 'right'},
											{text: 'Center', value: 'center'}
										]
									},

									// Box Width
									{
										type: 'textbox',
										name: 'boxWidth',
										label: 'Width (px or %)',
										text: '100%'
									},

									// Box Content
									{
										type: 'textbox',
										name: 'boxContent',
										label: 'Starting Content',
										value: 'OriginalThemes.co is the coolest website every created.',
										multiline: true,
										minWidth: 300,
										minHeight: 100
									}],
									onsubmit: function( e ) {
										editor.insertContent( '[olympus_box color="' + e.data.boxColor + '" float="' + e.data.boxFloat + '" text_align="' + e.data.boxTextAlign + '" width="' + e.data.boxWidth + '"]<br />' + e.data.boxContent + '<br />[/olympus_box]' );
									}
								});
							}
						}, // End boxes


						/* Highlights */
						{
							text: 'Highlights',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Olympus Shortcodes - Insert Highlight',
									body: [

									// Highlight Color
									{
										type: 'listbox',
										name: 'highlightColor',
										label: 'Size',
										'values': [
											{text: 'Blue', value: 'blue'},
											{text: 'Green', value: 'green'},
											{text: 'Yellow', value: 'yellow'},
											{text: 'Red', value: 'red'},
											{text: 'Gray', value: 'gray'}
										]
									},

									// Highlight Content
									{
										type: 'textbox', 
										name: 'highlightContent', 
										label: 'Highlighted Text',
										value: 'hey check me out'
									}],
									onsubmit: function( e ) {
										editor.insertContent( '[olympus_highlight color="' + e.data.highlightColor + '"]' + e.data.highlightContent + '[/olympus_highlight]');
									}
								});
							}
						}, // End highlights


						/* Google Map */
						{
							text: 'Google Map',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Olympus Shortcodes - Insert Google Map',
									body: [

									// Google Map Title
									{
										type: 'textbox',
										name: 'gmapTitle',
										label: 'Title',
										value: 'Welcome To Las Vegas'
									},

									// Google Map Location
									{
										type: 'textbox',
										name: 'gmapLocation',
										label: 'Location (Zip Code)',
										value: '94107'
									},

									// Google Map Height
									{
										type: 'textbox',
										name: 'gmapHeight',
										label: 'Height',
										value: '300'
									},

									// Google Map Zoom
									{
										type: 'textbox',
										name: 'gmapZoom',
										label: 'Zoom',
										value: '15'
									}

									],
									onsubmit: function( e ) {
										editor.insertContent( '[olympus_googlemap title="' + e.data.gmapTitle + '" location="' + e.data.gmapLocation + '" height="' + e.data.gmapHeight + '" zoom="' + e.data.gmapZoom + '"]');
									}
								});
							}
						}, // End GoogleMaps



						/* Callout */
						{
							text: 'Callout',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Olympus Shortcodes - Insert Callout',
									body: [

									// Callout Button Text
									{
										type: 'textbox',
										name: 'calloutButtonText',
										label: 'Button: Text',
										value: 'Download'
									},

									// Callout Button URL
									{
										type: 'textbox',
										name: 'calloutButtonUrl',
										label: 'Button: URL',
										value: 'http://olympusthemes.com/'
									},

									// Callout Button Border Radius
									{
										type: 'textbox',
										name: 'calloutButtonBorderRadius',
										label: 'Button: Border Radius',
										value: '3px'
									},

									// Callout Button Color
									{
										type: 'listbox',
										name: 'calloutButtonColor',
										label: 'Button: Color',
										'values': [
											{text: 'Black', value: 'black'},
											{text: 'Blue', value: 'blue'},
											{text: 'Brown', value: 'brown'},
											{text: 'Grey', value: 'grey'},
											{text: 'Green', value: 'green'},
											{text: 'Gold', value: 'gold'},
											{text: 'Orange', value: 'orange'},
											{text: 'Pink', value: 'pink'},
											{text: 'Red', value: 'red'},
											{text: 'Rosy', value: 'rosy'},
											{text: 'Teal', value: 'teal'}
										]
									},

									// Callout Button Size
									{
										type: 'listbox',
										name: 'calloutButtonSize',
										label: 'Button: Size',
										'values': [
											{text: 'Default', value: 'default'},
											{text: 'Small', value: 'small'},
											{text: 'Medium', value: 'medium'},
											{text: 'Large', value: 'large'}
										]
									},

									// Callout Button Link Target
									{
										type: 'listbox',
										name: 'calloutButtonLinkTarget',
										label: 'Button: Link Target',
										'values': [
											{text: 'Self', value: 'self'},
											{text: 'Blank', value: 'blank'}
										]
									}, 

									// Callout Content
									{
										type: 'textbox',
										name: 'calloutContent',
										label: 'Content',
										value: 'Download Themes at OlympusThemes.com',
										multiline: true,
										minWidth: 300,
										minHeight: 100
									}

									],
									onsubmit: function( e ) {
										editor.insertContent( '[olympus_callout button_text="' + e.data.calloutButtonText + '" button_url="' + e.data.calloutButtonUrl + '" button_color="' + e.data.calloutButtonColor + '" button_size="' + e.data.calloutButtonSize + '" button_border_radius="' + e.data.calloutButtonBorderRadius + '" button_target="' + e.data.calloutButtonLinkTarget + '"]<br />' + e.data.calloutContent + '<br />[/olympus_callout]');
									}
								});
							}
						}, // End callout

					
						/* Social Icon */
						{
							text: 'Social Icon',
							onclick: function() {
								editor.windowManager.open( {
									title: 'Olympus Shortcodes - Insert Social Icon',
									body: [

									// Social Icon
									{
										type: 'listbox',
										name: 'socialIcon',
										label: 'Service',
										'values': [
											{text: 'Twitter', value: 'twitter'},
											{text: 'Facebook', value: 'facebook'},
											{text: 'Flickr', value: 'flickr'},
											{text: 'Feedburner', value: 'feedburner'},
											{text: 'Google Plus', value: 'google'},
											{text: 'Instagram', value: 'instagram'},
											{text: 'LinkedIn', value: 'linkedin'},
											{text: 'Pinterest', value: 'pinterest'},
											{text: 'Tumblr', value: 'tumblr'},
											{text: 'Youtube', value: 'youtube'},
											{text: 'RSS', value: 'rss'},
											{text: 'WordPress', value: 'wordpress'},											
											{text: 'Forrst', value: 'forrst'},
											{text: 'Github', value: 'github'},
											{text: 'Vimeo', value: 'vimeo'},
											{text: 'Behance', value: 'behance'},
											{text: 'Blogger', value: 'blogger'},
											{text: 'Buffer', value: 'buffer'},
											{text: 'Delicious', value: 'delicious'},
											{text: 'DeviantArt', value: 'deviarntart'},
											{text: 'Dribbble', value: 'dribbble'},
											{text: 'Skype', value: 'skype'},
											{text: 'Outlook', value: 'outlook'},
											{text: 'StumbleUpon', value: 'stumbleupon'},

										]
									},

									// Social Icon URL
									{
										type: 'textbox',
										name: 'socialIconUrl',
										label: 'Link URL',
										value: 'http://'
									},

									// Social Icon URL Title
									{
										type: 'textbox',
										name: 'socialIconUrlTitle',
										label: 'Title Tag',
										value: 'Follow Me'
									},

									// Social Icon Link Target
									{
										type: 'listbox',
										name: 'socialIconUrlTarget',
										label: 'Link Target',
										'values': [
											{text: 'Self', value: 'self'},
											{text: 'Blank', value: 'blank'}
										]
									},

									],
									onsubmit: function( e ) {
										editor.insertContent( '[olympus_social icon="' + e.data.socialIcon + '" url="' + e.data.socialIconUrl + '" title="' + e.data.socialIconUrlTitle + '" target="' + e.data.socialIconUrlTarget + '"  "]');
									}
								});
							}
						} // End Social icon


					]
				}, // End Elements Section


				/** jQuery Start **/
				{
				text: 'jQuery',
				menu: [

						/* Accordion */
						{
							text: 'Accordion',
							onclick: function() {
								editor.insertContent( '[olympus_accordion]<br />[olympus_accordion_section title="Accordion 1"] Your Content [/olympus_accordion_section]<br />[olympus_accordion_section title="Accordion 2"] Your Content [/olympus_accordion_section]<br />[/olympus_accordion]');
							}
						}, // End accordion

						/* Toggle */
						{
							text: 'Toggle',
							onclick: function() {
								editor.insertContent( '[olympus_toggle title="Your Toggle Title" state="closed"] Your Content [/olympus_toggle]');
							}
						}, // End toggle

						/* Tabs */
						{
							text: 'Tabs',
							onclick: function() {
								editor.insertContent( '[olympus_tabgroup]<br />[olympus_tab title="Tab 1"] Your Content [/olympus_tab]<br />[olympus_tab title="Tab 2"] Your Content [/olympus_tab]<br />[olympus_tab title="Tab 3"] Your Content [/olympus_tab]<br />[/olympus_tabgroup]');
							}
						}, // End tabs


						/* Slider */
						{
							text: 'Slider',
							onclick: function() {
								editor.insertContent( '[olympus_slider]<br />[olympus_slide img="http://placehold.it/690x250"]<br />[olympus_slide img="http://placehold.it/690x250"] <br />[olympus_slide img="http://placehold.it/690x250"]<br />[/olympus_slider]');
							}
						}, // End tabs

					]
				} // End jQuery section

			]
		});
	});
})();