<?php

if ( ! defined( 'ABSPATH' ) ) { 
    exit; // Exit if accessed directly
}

function olympus_shortcodes_add_mce_button() {
	// check user permissions
	if ( !current_user_can( 'edit_posts' ) && !current_user_can( 'edit_pages' ) ) {
		return;
	}
	// check if WYSIWYG is enabled
	if ( 'true' == get_user_option( 'rich_editing' ) ) {
		add_filter( 'mce_external_plugins', 'olympus_shortcodes_add_tinymce_plugin' );
		add_filter( 'mce_buttons', 'olympus_shortcodes_register_mce_button' );
	}
}
add_action('admin_head', 'olympus_shortcodes_add_mce_button');


function olympus_shortcodes_add_tinymce_plugin( $plugin_array ) {
	$plugin_array['olympus_shortcodes_mce_button'] = plugins_url('/js/olympus_shortcodes_tinymce.js', __FILE__);
	return $plugin_array;
}


function olympus_shortcodes_register_mce_button( $buttons ) {
	array_push( $buttons, 'olympus_shortcodes_mce_button' );
	return $buttons;
}


function olympus_shortcodes_mce_css() {
	wp_enqueue_style('olympus_shortcodes-tc', plugins_url('/css/olympus_shortcodes_tinymce_style.css', __FILE__) );
}
add_action( 'admin_enqueue_scripts', 'olympus_shortcodes_mce_css' );