<?php

/*-----------------------------------------------------------------------------------*/
/*  Create the widget
/*-----------------------------------------------------------------------------------*/
add_action('widgets_init',
     create_function('', 'register_widget("Olympus_Facebook_Widget");')
);

/*-----------------------------------------------------------------------------------*/
/*  Widget class
/*-----------------------------------------------------------------------------------*/
class Olympus_Facebook_Widget extends WP_Widget {

/*-----------------------------------------------------------------------------------*/
/*	Widget Setup
/*-----------------------------------------------------------------------------------*/


	public function __construct() {
				parent::__construct(
			'olympus_facebook_widget', // Base ID
			__('Olympus Facebook Widget', 'olympus-toolkit'), // Name
			array( 'description' => __( 'A Simple Facebook Widget', 'olympus-toolkit' ), ) // Args
		);
	}

/*-----------------------------------------------------------------------------------*/
/*	Display Widget
/*-----------------------------------------------------------------------------------*/
	
public function widget( $args, $instance ) {
	extract( $args );

	/* Our variables from the widget settings --------------------------------------*/
	$widget_title = apply_filters('widget_title', $instance['widget_title']);
	$facebook_id =  $instance['facebook_id'];
	$widget_desc =  $instance['widget_desc'];

	
    /* Display widget -------------------------------------------------------------*/
	echo $before_widget;

	if ( $widget_title ) { echo $before_title . $widget_title . $after_title; }
	if ( $widget_desc ) { echo '<div class="widget-description">' . wpautop($widget_desc) . '</div>'; }

	if(! empty($facebook_id)) {
		
		 echo	'<iframe src="//www.facebook.com/plugins/likebox.php?href=https%3A%2F%2Fwww.facebook.com%2F'.$facebook_id.'&amp;height=280&amp;colorscheme=light&amp;show_faces=true&amp;header=true&amp;stream=false&amp;show_border=true" scrolling="no" frameborder="0" style="border:none; overflow:hidden; height:280px;"></iframe>';
	
	}
	
	echo $after_widget;
}


/*------------------------------------------------------------------------------*/
/*	Widget Settings (Displays the widget settings controls on the widget panel)
/*------------------------------------------------------------------------------*/
	
public function form( $instance ) {

		// Get the options into variables, escaping html characters on the way
		$widget_title = isset( $instance['widget_title'] ) ? esc_attr( $instance['widget_title'] ) : 'Our Facebook Page';
		$facebook_id = isset( $instance['facebook_id'] ) ? esc_attr( $instance['facebook_id'] ) : 'WordPress';
		$widget_desc = isset( $instance['widget_desc'] ) ? $instance['widget_desc'] : '';

	
	/* Build our form fields --------------------------------------------------*/
	?>

	<p>
		<label for="<?php echo $this->get_field_id( 'widget_title' ); ?>"><?php _e('Title:', 'olympus-toolkit') ?></label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'widget_title' ); ?>" name="<?php echo $this->get_field_name( 'widget_title' ); ?>" value="<?php echo $widget_title; ?>" />
	</p>

  <p>
  <label for="<?php echo $this->get_field_id( 'widget_desc' ); ?>"><?php _e( 'Widget Text:', 'olympus-toolkit' ); ?></label> 
  <textarea class="widefat" rows="5" cols="20" id="<?php echo $this->get_field_id( 'widget_desc' ); ?>" name="<?php echo $this->get_field_name( 'widget_desc' ); ?>" type="text"><?php echo $widget_desc; ?></textarea>
  </p>

	<p>
		<label for="<?php echo $this->get_field_id( 'facebook_id' ); ?>"><?php _e('Facebook Page ID:', 'olympus-toolkit') ?></label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'facebook_id' ); ?>" name="<?php echo $this->get_field_name( 'facebook_id' ); ?>" value="<?php echo $facebook_id; ?>" />
	</p>

	
	<?php
	}



/*--------------------------------------------------------------------------------*/
/*	Update Widget
/*--------------------------------------------------------------------------------*/
	
public function update( $new_instance, $old_instance ) {
	$instance = $old_instance;

	/* Strip tags to remove HTML (important for text inputs) ---------------------*/
	$instance['widget_title'] = strip_tags( $new_instance['widget_title'] );

	/* No need to strip tags -----------------------------------------------------*/
	$instance['facebook_id'] = esc_attr($new_instance['facebook_id']);
	$instance['widget_desc'] = $new_instance['widget_desc'];
	
	return $instance;
}
	
}