<?php 

/*-----------------------------------------------------------------------------------*/
/*  Create the widget
/*-----------------------------------------------------------------------------------*/
add_action('widgets_init',
     create_function('', 'register_widget("Olympus_Video_Widget");')
);

/*-----------------------------------------------------------------------------------*/
/*  Widget class
/*-----------------------------------------------------------------------------------*/
class Olympus_Video_Widget extends WP_Widget {

/*-----------------------------------------------------------------------------------*/
/*	Widget Setup
/*-----------------------------------------------------------------------------------*/


	public function __construct() {
				parent::__construct(
			'olympus_video_widget', // Base ID
			__('Olympus Video Widget', 'olympus-toolkit'), // Name
			array( 'description' => __( 'A Simple Video Widget', 'olympus-toolkit' ), ) // Args
		);
	}

/*-----------------------------------------------------------------------------------*/
/*	Display Widget
/*-----------------------------------------------------------------------------------*/	
	
	public function widget($args, $instance) {
	
		// Outputs the content of the widget
		extract($args); // Make before_widget, etc available.
		
		$widget_title = apply_filters('widget_title', $instance['widget_title']);
		$video_url = $instance['video_url'];
		$widget_desc = $instance['widget_desc'];
		$video_width = $instance['video_width'];
		
		echo $before_widget;
		
		if (!empty($widget_title)) {
		
			echo $before_title . $widget_title . $after_title;
			
		} 
			
			if (!empty($widget_desc)) {
			
				echo '<div class="widget-description">'.wpautop($widget_desc).'</div>';
				
			} ?>
			
			<?php if (strpos($video_url,'.mp4') !== false) : ?>
				
				<video controls>
				  <source src="<?php echo esc_url($video_url); ?>" type="video/mp4">
				</video>
																		
			<?php else : 
				
				$embed_code = wp_oembed_get($video_url, array('width'=>$video_width)); 
					
				echo $embed_code;
				
			endif; 

		echo $after_widget; 
	}
	
/*------------------------------------------------------------------------------*/
/*	Widget Settings (Displays the widget settings controls on the widget panel)
/*------------------------------------------------------------------------------*/
	
	public function form($instance) {
	
		// Get the options into variables, escaping html characters on the way
		$widget_title = isset( $instance['widget_title'] ) ? esc_attr( $instance['widget_title'] ) : '';
		$video_url = isset( $instance['video_url'] ) ? esc_url( $instance['video_url'] ) : '';
		$widget_desc = isset( $instance['widget_desc'] ) ? $instance['widget_desc'] : '';
		$video_width = isset( $instance['video_width'] ) ? esc_attr( $instance['video_width'] ) : '320';
		?>
		
		<p>
			<label for="<?php echo $this->get_field_id('widget_title'); ?>"><?php  _e('Title', 'olympus-toolkit'); ?>:
			<input id="<?php echo $this->get_field_id('widget_title'); ?>" name="<?php echo $this->get_field_name('widget_title'); ?>" type="text" class="widefat" value="<?php echo $widget_title; ?>" /></label>
		</p>
		
				
		<p>
			<label for="<?php echo $this->get_field_id('video_url'); ?>"><?php  _e('Video URL', 'olympus-toolkit'); ?>:
			<input id="<?php echo $this->get_field_id('video_url'); ?>" name="<?php echo $this->get_field_name('video_url'); ?>" type="text" class="widefat" value="<?php echo $video_url; ?>" /></label>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('video_width'); ?>"><?php  _e('Video Width (px)', 'olympus-toolkit'); ?>:
			<input id="<?php echo $this->get_field_id('video_width'); ?>" name="<?php echo $this->get_field_name('video_width'); ?>" type="text" class="widefat" value="<?php echo $video_width; ?>" /></label>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('widget_desc'); ?>"><?php _e('Video Description:', 'olympus-toolkit'); ?></label>
			<textarea class="widefat" id="<?php echo $this->get_field_id('widget_desc'); ?>" name="<?php echo $this->get_field_name('widget_desc'); ?>" rows="7" cols="20" ><?php echo $widget_desc; ?></textarea>
		</p>
						
		<?php
	}
	
/*--------------------------------------------------------------------------------*/
/*	Update Widget
/*--------------------------------------------------------------------------------*/
	
		public function update($new_instance, $old_instance) {
		 	
			$instance = $old_instance;

		  $instance['widget_title'] = $new_instance['widget_title'];
		  $instance['widget_desc'] = $new_instance['widget_desc'];
		  $instance['video_width'] = $new_instance['video_width'];
		  $instance['video_url'] = $new_instance['video_url'];
		  return $instance;	

	}
}
